# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ExtensionVisitor.StoppedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gdata.data.ExtensionVisitor.StoppedException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  ExtensionVisitor

    public static class ExtensionVisitor.StoppedException

extends java.lang.RuntimeException

The StoppedException is thrown by ExtensionVisitor instances to immediately exit from extension tree processing. The is a runtime exception because the common case is that traversal will run to completion and stopping is considered an abnormal termination.

Specific ExtensionVisitor implementations may define sub-types to signal specific exit conditions, in which case code that uses this type of visitor may want to catch a service the stop conditions if they are expected and convey useful information.

See Also:
  Serialized Form

Constructor Summary
`ExtensionVisitor.StoppedException(java.lang.String message)`
`ExtensionVisitor.StoppedException(java.lang.String message, java.lang.Throwable cause)`
`ExtensionVisitor.StoppedException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionVisitor.StoppedException

    public ExtensionVisitor.StoppedException(java.lang.String message,
                                             java.lang.Throwable cause)

### ExtensionVisitor.StoppedException

    public ExtensionVisitor.StoppedException(java.lang.String message)

### ExtensionVisitor.StoppedException

    public ExtensionVisitor.StoppedException(java.lang.Throwable cause)